lphdisk(8)

NAME
lphdisk - prepare a hibernation partition for NoteBIOS suspend-to-disk

SYNOPSIS
lphdisk [ -h, --help ] [ -p, --probeonly ] [ -q, --quiet ] [ -d, --debug ] [ -n, --nowrite ] [ -f, --force ] [ device ]

DESCRIPTION
lphdisk prepares a hard disk for use with APM "Suspend-to-disk" features, as implemented on laptop computers running Phoenix NoteBIOS. Currently, the utility only formats an already created partition set to type A0 with a disk partitioning utility such as fdisk(8). device should be a full-disk device (such as /dev/hda or /dev/sda ) and defaults to /dev/hda .

Since most laptops only have one IDE hard disk, and all known NoteBIOS configurations will only look to the first bootable hard drive anyway, the default value for device is correct for most cases.

In order to properly prepare a hard disk for suspend-to-disk on your laptop, you will need to make sure there is enough space free to accommodate an additional hibernation partition. The hibernation partition must be a primary partition (1-4), and the required size will be determined by the amount of physical and video RAM in your laptop. To determine the size you need to make the partition, the following calculation is a good rule of thumb:

    physical RAM + video memory + 2MB

Alternately, you can run lphdisk --probeonly to have lphdisk attempt to determine your memory requirements and calculate a reccomended partition size for you.

Having created a primary partition of the proper size using a disk partitioning utility, you should set it to type A0 hex (identified by fdisk as "IBM ThinkPad Hibernation", though "Phoenix NoteBIOS Hibernation" would be a more correct label).

lphdisk will then locate, verify, and format this partition for use. At this point you will need to reboot the system so that BIOS can locate and use the new hibernation partition.

Once the system has been rebooted, you should be able to perform the suspend-to-disk function of your BIOS using the normal procedure ( Fn-F12 on many laptops, though some differ. The apm --suspend command may or may not also do this, depending on the BIOS). You will know it is working properly if you see a Phoenix NoteBIOS screen appear indicating the progress of saving memory to disk before the machine powers off, and a similar screen indicating resume progress when it is started up again (if you do not see this screen, it is likely that the BIOS has entered suspend-to-RAM mode instead, and is not successfully using the hibernate partition).

OPTIONS

-h, --help
    show terse usage information and available options.

-p, --probeonly
    Probe for and calculate the required partition size for the current system, but do not attempt to format anything.

-q, --quiet
    tells lphdisk to be quiet: the normal output messages will not be displayed.

-d, --debug
    turns on (copious) debugging output.

-n, --nowrite
    tells lphdisk to do everything it would normally do, but not to actually write data to the disk. Useful for testing.

-f, --force
    force lphdisk to proceed, regardless of potential problems. This option is dangerous and could cause disk corruption!

TODO
Currently lphdisk only formats an already properly created hibernation partition. It is the goal of this utility to be able to detect physical and video memory as well as create the partition before formatting it.

BUGS
No known bugs, but that doesn't mean they're not in there. However, functionality is not yet complete.

AUTHORS
Patrick D. Ashmore <pda@procyon.com>
Alex Stewart <alex@foogod.com>

SEE ALSO
fdisk(8), cfdisk(8), sfdisk(8), apm(1) apmd(8)